## com.lowagie.text.pdf
Class PdfSmartCopy.ByteStore

    java.lang.Object
      com.lowagie.text.pdf.PdfSmartCopy.ByteStore

Enclosing class:
  PdfSmartCopy

    static class PdfSmartCopy.ByteStore

extends java.lang.Object

Field Summary
`private byte[]` `b`
`private int` `hash`

Constructor Summary
`PdfSmartCopy.ByteStore(PRStream str)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### b

    private byte[] b

### hash

    private int hash

Constructor Detail

### PdfSmartCopy.ByteStore

    PdfSmartCopy.ByteStore(PRStream str)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`